LoadRunner Support Forum
Showing results for 
Search instead for 
Do you mean 

Siebel Issues when Recording Script with VuGen 11.52 - Siebel High Interactivity Framework for IE?

Occasional Contributor

Siebel Issues when Recording Script with VuGen 11.52 - Siebel High Interactivity Framework for IE?

Hi, I tried searching the forum for anyone having this issue but couldn't find anything.  Basically the issue I'm having is that when I try to record a script against Siebel 8.1.1 using VuGen 11.52 I am getting the following message when I attempt to log in to the application via IE.

 

'Your version of the Siebel High Interactivity Framework for IE, required for use of this Siebel application, may not be current.  In order to download a current version of the Siebel High Interactivity Framework, please ensure that your browser security settings are correct and then log in to the application again.  Consult your system administrator for details about the Siebel High Interactivity Framework and correct browser settings."

This is not happing when I attempt to log in manually using IE, it only happens when I'm recording a script.  I tried to delete the Siebel High Interactivity Framework objects via Internet Options->View Objects and deleting all objects but that did not seem to resolve the issue.

I am able to log in without any issues using VuGen 11. 

 

Any help would be greatly appreciated!

 

5 REPLIES
Highlighted
Advisor

Re: Siebel Issues when Recording Script with VuGen 11.52 - Siebel High Interactivity Framework for I

Hello,

Can you try with the below settings to see if this resolves the issue.

Set the following Recording Options:

  1. Internet Protocol: Recording:
  •  Select ‘HTML based script’
  • Click on ‘HTML Advanced’ and select the following

             -Script Type: a script containing explicit URLs only

             -Non HTML-generated elements: Do not record

  1. Internet Protocol: Advanced:

       -Clear the ‘Reset context for each action’ option.

       - Select ‘Support Charset’ then select ‘UTF-8’

 

If it does not, try to compare the recording options of the LR v11.00 against LR v11.52 to check why the issue wasn't observed in 11.00 version.

 

Thanks,

Preeti

Occasional Visitor

Re: Siebel Issues when Recording Script with VuGen 11.52 - Siebel High Interactivity Framework for I

Hi,

 

I tried the steps provided above but it didnt work. Can any one please share any other option avaiable??

 

Thanks, Manas

Occasional Visitor

Re: Siebel Issues when Recording Script with VuGen 11.52 - Siebel High Interactivity Framework for I

Hi sgel,

 

We are currently using Vugen 12.02 and are facing the same issue.

 

Were you able to find any solutions to this problem?

 

Thanks in advance

Advisor

Re: Siebel Issues when Recording Script with VuGen 11.52 - Siebel High Interactivity Framework for I

Hi All,

Load Runner version: 12.02

IE Versions :IE 8 and IE 11 [Both same issue]

Siebel HI: 8.1.1.10


We are using Load Runner v 12.02 and trying to record the Siebel High Interactivity Framework [Siebel 8.1.1.10] .

We are also facing the same issue while trying to record through Load Runner. Manually, the Active x and Siebel HI Cab files are all installed and we are able to open it manually.

But while recording, we are getting the exact same pop up mentioned in the initial issue of this thread.

In addition there is also a prompt to run "SiebelAx_HI_Client.cab" [Attached screenshot]. We are unable to click on Run control however due to the main pop up. On clicking "Ok" in the HI Message/Pop up, the option for Run also disappears.

 

Please suggest if there are any workardounds.

Occasional Advisor

Re: Siebel Issues when Recording Script with VuGen 11.52 - Siebel High Interactivity Framework for I

Hi,

I dont have a definitive answer for you however I can point you to areas to look at.

1.  In IE, go to manage add ons and remove the Siebel Hi Interactive add on, I suggest this as old versions of differing versions can cause incompatibility.  I have had issues in the past where different environments have different versions.  The way to get it to work was to remove the addon before going to the other environment which then prompts to install when you try to login.

2. Open IE and go to internet options, security, trusted sites and make sure the url for the system you are testing is in the trusted list.

3. Open IE and go to internet options, Privacy and make sure the pop up blocker is not turned on as this can stop the popup to install the framework from appearing.

4. Go into control panel, programs, turn windows features on and off, untick the Internet Explorer Enhanced Security option

5.  If the above fails then try and run internet explorer as an admin user and then try to login and see if it installs the add on.

Hope this helps

Ian